import {
  AccordionItem,
  AccordionItemButton,
  AccordionItemPanel,
  AccordionItemHeading,
} from '@/shared/Accordion';

import { BioEntitiesSubmapItem } from '@/components/Map/Drawer/SearchDrawerContent/BioEntitiesAccordion/BioEntitiesSubmapItem';

export const BioEntitiesAccordion = (): JSX.Element => {
  const entity = { mapName: 'main map', numberOfEntities: 21 };
  return (
    <AccordionItem>
      <AccordionItemHeading>
        <AccordionItemButton>Content (2137)</AccordionItemButton>
      </AccordionItemHeading>
      <AccordionItemPanel className="">
        <BioEntitiesSubmapItem
          mapName={entity.mapName}
          numberOfEntities={entity.numberOfEntities}
        />
        <BioEntitiesSubmapItem
          mapName={entity.mapName}
          numberOfEntities={entity.numberOfEntities}
        />
        <BioEntitiesSubmapItem
          mapName={entity.mapName}
          numberOfEntities={entity.numberOfEntities}
        />
        <BioEntitiesSubmapItem
          mapName={entity.mapName}
          numberOfEntities={entity.numberOfEntities}
        />
      </AccordionItemPanel>
    </AccordionItem>
  );
};
