import { Icon } from '@/shared/Icon';

interface PinsListItemProps {
  name: string;
}

export const PinsListItem = ({ name }: PinsListItemProps): JSX.Element => (
  <div className="flex flex-row justify-between pt-4">
    <Icon name="pin" className="mr-2 shrink-0" />
    <p className="w-full text-left">{name}</p>
    <Icon name="chevron-right" className="h-6 w-6 shrink-0" />
  </div>
);
